/**
 Ca extindere a criteriului de divizibilitate cu 3, de fapt
pentru orice număr natural
   restul împărțirii dintre acel număr și 3 este egal
cu restul împărțirii dintre suma cifrelor sale și 3.
Ex:
1234 % 3 = (1+2+3+4)%3

  Prin urmare, dacă din număr scădem o cifră și rezultatul este
divizibil cu 3 înseamnă de fapt că prin ștergerea acelei cifre
se obține un număr divizibil cu 3.
(calculele de mai jos le privim pe toate ca fiind încă odată %3)
(xyzt - y) %3 <=> xyzt%3 - y%3 = (x+y+z+t)%3 - y%3
  = x%3+y%3+z%3+t%3-y3 = (x+t+z)%3

Deci, condiția este și mai simplă:
  dacă avem un număr n și c = o cifră a sa,
   dacă (n-c)%3==0 => prin ștergerea cifrei c numărul este
divizibil cu 3.
*/
#include <iostream>
using namespace std;

int main()
{
    int n,cn,c,sol=0;
    cin>>n;
    cn=n;
    do
    {
        c=cn%10;
        if((n-c)%3==0)
                sol++;
        cn/=10;
    }while(cn);
    cout<<sol;
    return 0;
}
