/**
Se citește un număr natural cu maximum 9 cifre.
Să se afișeze toate numerele care se pot obține prin ștergerea
unei cifre din el (numerele pot fi egale, dacă asta se obține)
Ex:
n=185273
Răspuns:
18527
18523
18573
18273
15273
85273
Pentru a șterge o cifră din numărul dat metoda prin care muncim
cel mai puțin presupune să ne folosim de o putere a lui 10 și anume
cea care îi corespunde cifrei pe care dorim să o ștergem.
De exemplu:
n=185273
dacă vrem să ștergem cifra 2 folosim p=100

expresia care obține numărul prin ștergea cifrei 2 este:
   n/p/10*p+n%p
(n/p/10 = șterg cifrele începând de la cea pe care vreau
             să o elimin continuând cu cele de dup
  *p  - înmulțirea la loc cu p este ca să facem loc pentru
          cifrele pe care vreau să le păstrez
  n%p - numărul format cu cifrele care erau deja după
        cea pe care vrem să o ștergem)

Prin urmare, dacă luăm rând pe rând p=1, 10, 100, ....
până la puterea cea mai mare care corespunde numărului dat,
obținem exact valorile respective.
*/
#include <iostream>
using namespace std;

int main()
{
    int n,p=1,nrnou;
    cin>>n;
    do
    {
        nrnou = n/p/10*p + n%p;
        cout<<nrnou<<"\n";
        p*=10;
    }while(p<=n);
    return 0;
}
